> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://reference.flatfile.com/api-reference/assistant/update/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://reference.flatfile.com/_mcp/server. # Update a prompt PATCH https://api.x.flatfile.com/v1//prompts/{promptId} Content-Type: application/json Updates a prompt Reference: https://reference.flatfile.com/api-reference/assistant/update ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `promptId` (string, required) — ID of prompts ### Body (application/json) This endpoint expects a PromptPatch. - `prompt` (string, required) ## Response ### 200 - `data` (Prompt, required) ## Types ### Prompt - `id` (string, required) — Prompt ID - `createdById` (string, required) — ID of the user/guest who created the prompt - `accountId` (string, required) — Account ID - `promptType` (enum, required) — Type of prompt - Allowed values: `AI_ASSIST`, `CONSTRAINT_GENERATION` - `prompt` (string, required) — Text for prompts for AI Assist - `createdAt` (datetime, required) - `updatedAt` (datetime, required) - `environmentId` (string, optional) — Environment ID - `spaceId` (string, optional) — Space ID - `deletedAt` (datetime, optional) ## Examples **Request** ```json { "prompt": "Combine first name and last name into a new column called Full Name" } ``` **Response** ```json { "data": { "id": "us_pr_YOUR_ID", "createdById": "us_usr_YOUR_ID", "accountId": "us_acc_YOUR_ID", "promptType": "AI_ASSIST", "prompt": "Combine first name and last name into a new column called Full Name", "createdAt": "2021-01-01T00:00:00Z", "updatedAt": "2021-01-01T00:00:00Z", "environmentId": "us_env_YOUR_ID", "spaceId": "us_sp_YOUR_ID" } } ``` **SDK Code** ```python Example0 import requests url = "https://api.x.flatfile.com/v1//prompts/us_pr_YOUR_ID" payload = { "prompt": "Combine first name and last name into a new column called Full Name" } headers = { "X-Disable-Hooks": "true", "Authorization": "Bearer ", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.json()) ``` ```typescript Example0 import { FlatfileClient } from "@flatfile/api"; const client = new FlatfileClient({ token: "YOUR_TOKEN" }); await client.assistant.update("us_pr_YOUR_ID", { prompt: "Combine first name and last name into a new column called Full Name" }); ``` ```go Example0 package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.x.flatfile.com/v1//prompts/us_pr_YOUR_ID" payload := strings.NewReader("{\n \"prompt\": \"Combine first name and last name into a new column called Full Name\"\n}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("X-Disable-Hooks", "true") req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Example0 require 'uri' require 'net/http' url = URI("https://api.x.flatfile.com/v1//prompts/us_pr_YOUR_ID") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Patch.new(url) request["X-Disable-Hooks"] = 'true' request["Authorization"] = 'Bearer ' request["Content-Type"] = 'application/json' request.body = "{\n \"prompt\": \"Combine first name and last name into a new column called Full Name\"\n}" response = http.request(request) puts response.read_body ``` ```java Example0 import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.patch("https://api.x.flatfile.com/v1//prompts/us_pr_YOUR_ID") .header("X-Disable-Hooks", "true") .header("Authorization", "Bearer ") .header("Content-Type", "application/json") .body("{\n \"prompt\": \"Combine first name and last name into a new column called Full Name\"\n}") .asString(); ``` ```php Example0 request('PATCH', 'https://api.x.flatfile.com/v1//prompts/us_pr_YOUR_ID', [ 'body' => '{ "prompt": "Combine first name and last name into a new column called Full Name" }', 'headers' => [ 'Authorization' => 'Bearer ', 'Content-Type' => 'application/json', 'X-Disable-Hooks' => 'true', ], ]); echo $response->getBody(); ``` ```csharp Example0 using RestSharp; var client = new RestClient("https://api.x.flatfile.com/v1//prompts/us_pr_YOUR_ID"); var request = new RestRequest(Method.PATCH); request.AddHeader("X-Disable-Hooks", "true"); request.AddHeader("Authorization", "Bearer "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"prompt\": \"Combine first name and last name into a new column called Full Name\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Example0 import Foundation let headers = [ "X-Disable-Hooks": "true", "Authorization": "Bearer ", "Content-Type": "application/json" ] let parameters = ["prompt": "Combine first name and last name into a new column called Full Name"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.x.flatfile.com/v1//prompts/us_pr_YOUR_ID")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PATCH" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```